/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2019-05-02 09:57:00Z
 *****************************************************************************/

#ifndef __RSCMWAM_ATTRIBUTES_HEADER
#define __RSCMWAM_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmwam_rngAudioMeasurementRepetitionMode;
extern RsCoreRangeTable rscmwam_rngAudioMeasurementStopCondition;
extern RsCoreRangeTable rscmwam_rngAudioMeasurementSignalType;
extern RsCoreRangeTable rscmwam_rngAudioMeasurementAnalogPathCoupling;
extern RsCoreRangeTable rscmwam_rngAudioMeasurementAnalogAutoRanging;
extern RsCoreRangeTable rscmwam_rngAudioMeasurementAnalogMaximumLevel;
extern RsCoreRangeTable rscmwam_rngSingleToneStatisticCount;
extern RsCoreRangeTable rscmwam_rngSingleToneMeasurementFrequencyDistortion;
extern RsCoreRangeTable rscmwam_rngSingleToneLowPass;
extern RsCoreRangeTable rscmwam_rngSingleToneHighPass;
extern RsCoreRangeTable rscmwam_rngSingleToneWeightingFilter;
extern RsCoreRangeTable rscmwam_rngMultitoneStatisticCount;
extern RsCoreRangeTable rscmwam_rngMultitoneResultMode;
extern RsCoreRangeTable rscmwam_rngMultitoneLowPassFilter;
extern RsCoreRangeTable rscmwam_rngMultitoneHighPassFilter;
extern RsCoreRangeTable rscmwam_rngMultitoneWeightingFilter;
extern RsCoreRangeTable rscmwam_rngFFTNoiseStatisticCount;
extern RsCoreRangeTable rscmwam_rngFFTNoiseLowPassFilter;
extern RsCoreRangeTable rscmwam_rngFFTNoiseHighPassFilter;
extern RsCoreRangeTable rscmwam_rngFFTNoiseWeightingFilter;
extern RsCoreRangeTable rscmwam_rngGeneratorSignalType;
extern RsCoreRangeTable rscmwam_rngGeneratorAnalyzerCoupling;
extern RsCoreRangeTable rscmwam_rngGeneratorSingleToneFrequency;
extern RsCoreRangeTable rscmwam_rngGeneratorSingleToneLevel;
extern RsCoreRangeTable rscmwam_rngGeneratorMultitoneCrestFactor;
extern RsCoreRangeTable rscmwam_rngGeneratorMultitoneLevelSelection;
extern RsCoreRangeTable rscmwam_rngGeneratorMultitoneTotalLevel;
extern RsCoreRangeTable rscmwam_rngGeneratorMultitoneToneStart;
extern RsCoreRangeTable rscmwam_rngGeneratorMultitoneToneStop;
extern RsCoreRangeTable rscmwam_rngGeneratorFFTNoiseLevel;
extern RsCoreRangeTable rscmwam_rngSingleToneWindowFunction;
extern RsCoreRangeTable rscmwam_rngSpeechAnalysisInputLevel;
extern RsCoreRangeTable rscmwam_rngSpeechAnalysisOutputLevel;
extern RsCoreRangeTable rscmwam_rngClockDrift;
extern RsCoreRangeTable rscmwam_rngFilterHighPass;
extern RsCoreRangeTable rscmwam_rngPlaybackOutLevel;
extern RsCoreRangeTable rscmwam_rngRecInputLevel;
extern RsCoreRangeTable rscmwam_rngDNDRecSource;
extern RsCoreRangeTable rscmwam_rngPlaybackState;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMWAM_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_ANALOG_SPEECH_ANALYSIS;
extern RsCoreAttribute g_RSCMWAM_ATTR_ACTIVATE_STEREO_EXTERNAL_DIGITAL_SPEECH_ANALYSIS;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_AND_GENERATOR;
extern RsCoreAttribute g_RSCMWAM_ATTR_EXTERNAL_ANALOG_SPEECH_ANALYSIS;
extern RsCoreAttribute g_RSCMWAM_ATTR_EXTERNAL_DIGITAL_SPEECH_ANALYSIS;
extern RsCoreAttribute g_RSCMWAM_ATTR_MICROPHONE_AND_SPEAKER_TEST;
extern RsCoreAttribute g_RSCMWAM_ATTR_WAVEFORM_TEST;
extern RsCoreAttribute g_RSCMWAM_ATTR_POSSIBLE_MASTER_STRINGS;
extern RsCoreAttribute g_RSCMWAM_ATTR_CLOCK_DRIFT;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_REPETITION_MODE;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP_CONDITION;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_SIGNAL_TYPE;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_PATH_COUPLING;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_AUTO_RANGING;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ANALOG_MAXIMUM_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_FREQUENCY_DISTORTION;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_LOW_PASS_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_HIGH_PASS_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_WEIGHTING_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_WINDOW_FUNCTION;
extern RsCoreAttribute g_RSCMWAM_ATTR_SINGLE_TONE_SPECTRUM_STATE;
extern RsCoreAttribute g_RSCMWAM_ATTR_MULTITONE_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWAM_ATTR_MULTITONE_RESULT_MODE;
extern RsCoreAttribute g_RSCMWAM_ATTR_MULTITONE_LOW_PASS_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_MULTITONE_HIGH_PASS_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_MULTITONE_WEIGHTING_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_FFT_NOISE_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWAM_ATTR_FFT_NOISE_LOW_PASS_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_FFT_NOISE_HIGH_PASS_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_FFT_NOISE_WEIGHTING_FILTER;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_INIT;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWAM_ATTR_AUDIO_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_SIGNAL_TYPE;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_ANALYZER_COUPLING;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_FREQUENCY;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_SINGLE_TONE_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_MULTITONE_CREST_FACTOR;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_MULTITONE_LEVEL_SELECTION;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TOTAL_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_QUERY_GENERATOR_MULTITONE_TOTAL_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_START;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_MULTITONE_TONE_STOP;
extern RsCoreAttribute g_RSCMWAM_ATTR_GENERATOR_FFT_NOISE_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_SPEECH_ANALYSIS_INPUT_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_SPEECH_ANALYSIS_OUTPUT_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_SPEECH_ANALYSIS_FILTER_HIGH_PASS;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_INITIATE;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_ABORT;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_STOP;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_AMOUNT_OF_RECORDED_DATA;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_INPUT_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_HIGHPASS_FILTER_FREQUENCY;
extern RsCoreAttribute g_RSCMWAM_ATTR_RECORDING_FILE_PATH_NAME;
extern RsCoreAttribute g_RSCMWAM_ATTR_PLAYBACK_ENABLED;
extern RsCoreAttribute g_RSCMWAM_ATTR_PLAYBACK_STATE;
extern RsCoreAttribute g_RSCMWAM_ATTR_PLAYBACK_OUTPUT_LEVEL;
extern RsCoreAttribute g_RSCMWAM_ATTR_PLAYBACK_FILE_PATH_NAME;
extern RsCoreAttribute g_RSCMWAM_ATTR_PLAYBACK_PROGRESS;
extern RsCoreAttribute g_RSCMWAM_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWAM_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWAM_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWAM_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWAM_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwam_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwam_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWAM_ATTRIBUTES_HEADER */
