/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visatype.h>

ViStatus rscmwam_InitAttributes (ViSession instrSession);
ViStatus rscmwam_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rscmwam_CheckStatus (ViSession instrSession);
ViStatus rscmwam_instanceRepCap (ViSession instrSession, ViInt32 instance, ViChar repCap[]);
ViStatus _VI_FUNC rscmwam_QueryMeasStatus(
    ViSession   instrSession,
    ViString    command,
    ViInt32*    mainState,
    ViInt32*    syncState,
    ViInt32*    resourcesState);
ViReal64 rscmwam_atof (ViChar *p2buf);
ViInt32 rscmwam_atol (ViChar *p2buf);
ViStatus _VI_FUNC rscmwam_GetMeasTrace(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViInt32     arraySize,
    ViInt32*    reliability,
    ViReal64    result[],
    ViInt32     *returnedValues
   );
ViStatus _VI_FUNC rscmwam_GetSingleMeasInteger(
    ViSession   instrSession,
    ViString    command,
    ViInt32*    reliability,
    ViInt32*    result
    );
